{
    "class": "Workflow",
    "requirements": [
        {
            "class": "InlineJavascriptRequirement"
        }
    ],
    "inputs": [
        {
            "type": "int",
            "id": "#main/i"
        }
    ],
    "steps": [
        {
            "in": [
                {
                    "source": "#main/i",
                    "id": "#main/step1/i"
                }
            ],
            "out": [
                "#main/step1/o"
            ],
            "run": {
                "class": "ExpressionTool",
                "inputs": [
                    {
                        "type": "int",
                        "id": "#main/step1/0062947d-8f02-47c1-a732-c1e531323c40/i"
                    }
                ],
                "outputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "int"
                        },
                        "id": "#main/step1/0062947d-8f02-47c1-a732-c1e531323c40/o"
                    }
                ],
                "expression": "${return {'o': Array.apply(null, {length: inputs.i}).map(Number.call, Number)};}\n",
                "id": "#main/step1/0062947d-8f02-47c1-a732-c1e531323c40"
            },
            "id": "#main/step1"
        },
        {
            "in": [
                {
                    "source": "#main/step1/o",
                    "id": "#main/step2/i"
                }
            ],
            "out": [
                "#main/step2/o"
            ],
            "run": {
                "class": "ExpressionTool",
                "inputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "int"
                        },
                        "id": "#main/step2/cc2b6431-d4ab-4db4-8f99-a26916e6891a/i"
                    }
                ],
                "outputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "int"
                        },
                        "id": "#main/step2/cc2b6431-d4ab-4db4-8f99-a26916e6891a/o"
                    }
                ],
                "expression": "${return {'o': inputs.i.map(function(x) { return (x + 1) * 2; })};}\n",
                "id": "#main/step2/cc2b6431-d4ab-4db4-8f99-a26916e6891a"
            },
            "id": "#main/step2"
        },
        {
            "in": [
                {
                    "source": "#main/step2/o",
                    "id": "#main/step3/i"
                }
            ],
            "out": [
                "#main/step3/o"
            ],
            "run": {
                "class": "ExpressionTool",
                "inputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "int"
                        },
                        "id": "#main/step3/fc66fc69-7b23-4520-b4d6-3615bf01c4ca/i"
                    }
                ],
                "outputs": [
                    {
                        "type": "int",
                        "id": "#main/step3/fc66fc69-7b23-4520-b4d6-3615bf01c4ca/o"
                    }
                ],
                "expression": "${return {'o': inputs.i.reduce(function(a, b) { return a + b; })};}\n",
                "id": "#main/step3/fc66fc69-7b23-4520-b4d6-3615bf01c4ca"
            },
            "id": "#main/step3"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": "int",
            "outputSource": "#main/step3/o",
            "id": "#main/o"
        }
    ],
    "cwlVersion": "v1.0"
}
